## xscreensaver 5.10-3ubuntu4common0hedley3

=== debian/changelog ===
xscreensaver (5.10-3ubuntu4common0hedley3) lucid; urgency=low

  * 92_hedley_add_mit_screensaver_to_build.patch: Compile xscreensaver with MIT-SCREEN-SAVER extensions.
  * 93_hedley_make_blank_default_screensaver_mode.patch: Default screensaver to blank mode, not random. A separate patch to unroll it out if needed.


 -- Michael Carifio <michael.carifio@canonical.com>  Tue, 15 Feb 2011 10:22:08 -0500

xscreensaver (5.10-3ubuntu4common0hedley2) lucid; urgency=low

  * 90_hedley_hide_ui.patch: Hide the Documentation button in Settings dialog
    (LP: #690396)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 15 Dec 2010 12:17:32 -0500

xscreensaver (5.10-3ubuntu4common0hedley1) lucid; urgency=low

  * 90_hedley_hide_ui.patch: Hide the Image Manipulation, Text Manipulation,
    and Fading and colormaps section of xscreensaver settings (LP: #687629)
  * debian/control: Set Vcs-Bzr to lp:~hedley-team/hedley/xscreensaver

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 14 Dec 2010 21:32:42 -0500

xscreensaver (5.10-3ubuntu4) lucid; urgency=low

  * Import parts of debian's current .preinst file to get rid of the
    previously removed autostart desktop file.

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 15 Apr 2010 00:46:29 +0200

xscreensaver (5.10-3ubuntu3) lucid; urgency=low

  * Removing autostart from xdg, is now on /usr/share so user can copy it if
    wants autostart (LP: #554069)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 10 Apr 2010 22:28:57 +0200

xscreensaver (5.10-3ubuntu2) lucid; urgency=low

  * Reintroduce changes lost from version 5.08-0ubuntu5:

  [ Julien Lavergne ]
  * Add debian/xscreensaver.dirs with /usr/share/backgrounds. By default,
    settings search in /usr/share/backgrounds and without it, it displays an
    error (LP: #129769)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Apr 2010 08:10:22 +0000

xscreensaver (5.10-3ubuntu1) lucid; urgency=low

  * Merge with Debian unstable, remaining changes: (LP: #489062)
    - debian/control: add Build-Depends on ubuntu-artwork
    - debian/rules: use /usr/share/backgrounds
    - debian/control: Move xli | xloadimage recommends to suggests
    - debian/split-hacks.config: Use different set of default hacks to Debian
    - debian/source_xscreensaver.py: Add apport hook
    - debian/patches/53_XScreenSaver.ad.in.patch: Use Ubuntu branding

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 30 Nov 2009 13:33:13 +1100

xscreensaver (5.10-3) unstable; urgency=low

  * Move sonar to xscreensaver-gl, it got GL-ified (Closes: #550002)
  * Remove Xsession hook, could not be disabled (Closes: #550042)
  * Add desktop file to /etc/xdg/autostart, to disable it see
    http://standards.freedesktop.org/autostart-spec/ (Closes: #357297)
  * Move 20_hack_flurry_man_name to 11_upstream_flurry_man_name
  * debian/split-config.sh, debian/rules, etc: Auto-generate the
    package.install files to make one single dh_install{,man} call
    since this is so much more efficent.

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 12 Oct 2009 18:50:17 +0200

xscreensaver (5.10-2) unstable; urgency=low

  * Updated my email address in debian/copyright.
  * Added README.hacking to debian/xscreensaver.docs (Closes: #544352).
  * Included a hook for Xsession thanks to Y Giridhar Appaji Nag 
    <debian@appaji.net> (Closes: #357297).
  * Fixed the changelog.

 -- Jose Luis Rivas <ghostbar@debian.org>  Fri, 25 Sep 2009 16:52:44 -0430

xscreensaver (5.10-1) unstable; urgency=low

  [ Tormod Volden ]
  * Drop patch applied upstream:
    - 12_upstream_fix_typo_in_de.po.patch
  * Removed hyperball and hypercube hacks, retired upstream

  [ Jose Luis Rivas ]
  * Updated Standards-Version to 3.8.3 w/o any changes needed.
  * Created debian/README.source.
  * Added patch 20_hack_flurry_man_name for NAME section of
    manpage for flurry hack.
  * Changed my email address from ghostbar38@gmail.com to
    ghostbar@debian.org in Maintainer field.
  * Acknowledging NMU for 5.05.

  [ Tormod Volden ]
  * New Upstream Version
    - Fixed intermittent failure in xscreensaver-command
      Thanks to contribution by James Vega (Closes: 486603)
    - Fixed another potential RANDR crash
  * Drop patches applied upstream:
    - 11_upstream_phosphor_segfault_win_size.patch
    - 63_upstream_blinkbox-man.patch
    - 64_upstream_topblock-man.patch
    - 65_upstream_eruption-man.patch
    - 66_upstream_truchet-man.patch
    - 67_upstream_metaballs-man.patch
    - 70_upstream_fix_local_screenlock_bypass.patch  (Closes: #539699)
  * Do not ship juggle any longer (merged with juggler3d)
  * Ship new hacks: rubikblocks and surfaces
  * 80_Makefile_in-clean-fix.patch: Workaround for make distclean
    failure in some situations, probably autoconf 2.64 issue
  * Ship the new "photopile" hack
  * Delete two unused patches (52_ and 60_) from source
  * Fix location of Norwegian Bokmål locale (no -> nb)
  * Do not ship these hacks any longer (retired upstream):
      bubbles, critical, flag, forest, glforestfire, lmorph, laser,
      lightning, lisa, lissie, rotor, sphere, spiral, t3d, vines,
      whirlygig, worm, mismunch
  * 10_upstream_skip_retired_hacks.patch: Fix hacks/Makefile.in and
    hacks/glx/Makefile.in so that retired hacks are not built
  * debian/control: Update FSF address
  * Update to debhelper compat 7
  * Fix typo in package description (Closes: #504424)
  * Add missing hacks to package description (Closes: #481749)
  * debian/control: Breaks gnome-screensaver < 2.26 since we are
    using full paths in the desktop files
  * Split debian/patches/20_hacks_Makefile.patch into new
    20_hacks_man_section.patch and 20_hacks_maze_xpm_libs.patch
  * debian/patches/20_skip_install-pam.patch:
    Do not run install-pam since we use dh_installpam
  * 11_upstream_phosphor_segfault_win_size.patch:
    phospor hack segfaults on window resize (Closes: #505379)
  * debian/split-hacks.{sh,config}: Configure which hacks go

