## xscreensaver 5.11-1%2bmaemo1

=== debian/changelog ===
xscreensaver (5.11-1+maemo1) stable-proposed-updates; urgency=high

  * Adapted for Maemo and LiveWallpaper

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 13 Aug 2010 14:13:57 -0400

xscreensaver (5.05-3+lenny1) stable-proposed-updates; urgency=high

  * Non-maintainer upload by the security team.
  * Fix local screen lock bypass vulnerability.
    (Closes: #539699)

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 28 Aug 2009 18:13:57 -0400
