=== debian/control ===
Source: xscreensaver
Section: user/desktop
Priority: optional
Maintainer: Vlad Vasiliev <vlad@gas.by>
Build-Depends: bc, debhelper (>= 4.0), libgtk2.0-dev, libpam0g-dev (>= 0.72), libgl1-mesa-swx11-dev, freeglut3-dev, xutils-dev, libgnome2-dev, libxml2-dev, libglade2-dev, libjpeg62-dev, libgles2-sgx-img-dev | libgles2-dev, intltool, autotools-dev, libx11-dev, libxext-dev, libxinerama-dev, libxmu-dev, libxpm-dev, libxrandr-dev, libxss-dev, libxt-dev, libxtst-dev, libxxf86vm-dev, x11proto-core-dev, quilt, libxss-dev, libxtst-dev
Standards-Version: 3.8.0
Homepage: http://www.jwz.org/xscreensaver/
Vcs-git: git://git.debian.org/git/collab-maint/xscreensaver.git
Vcs-browser: http://git.debian.org/git/collab-maint/xscreensaver.git

Package: xscreensaver
Architecture: any
Depends: ${shlibs:Depends}, live-wallpaper (>= 0.8) 
Conflicts: funny-manpages (<< 1.3-1), suidmanager (<< 0.50), xscreensaver-gnome (<< 4.09-2), xscreensaver-nognome (<< 4.09-2), gnome-control-center (<< 1:2)
Recommends: xli | xloadimage, libjpeg-progs, perl5, miscfiles | wordlist
Suggests: xfishtank, xdaliclock, xscreensaver-gl, fortune, www-browser, qcam | streamer
Xsbc-Bugtracker: https://garage.maemo.org/tracker/?atid=6278&group_id=1797&func=browse
Description: Automatic screensaver for X
 XScreenSaver is a modular screen saver and locker for X11,
 containing more than 200 screen savers.
 .
 This package adapted for using with LiveWallpaper on Maemo Platform
 .
XB-Maemo-Display-Name: Xscreensavers
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oIDwYXM6m8V0wAAAqZSURBVHja
 5Zt7cFTVHcc/5+4zCeAmIeGd8JAk1GAElAGRGFGqJUgtD1HQIjIqAo7FR/GF0DrjtEUqFkWZig8K
 8rBKURBrjYKJgGTU0ggkigoxwoZANuSxm7t7957+sZuwgd2QZG8gA7+ZO3t37+/ee8739/6ds9C+
 ZAEmcpGSHZgNuADlYgTAnGo3vStAAu9clCqQBVOWCDQCIIy4KEFYoaA9EwDAf1ECcB287QN5uUAC
 eRehKzT3qwBZDLoIgDDvosNgLUgJ+osgUXAC5mbYRwPDLygA/gFHJUivIvTJPeMk8NnVv4g7nS3Z
 Kngp6DCvuKAAeEMR78mAFsgtKTb9sr6xErgfoJvVBECaWdkMFAPfncuxnZMExSNOnTtKveLlmW4J
 3ARQ7vUzwKrcNUXTJwDpwKoLDoAf/LLxvBOSag8APYE4Yi0xSzX93v+AjLMoQYu5wAAYDqaG830D
 BC99iABWA3UPun2XXq4z0p/YSVw7WIcQ3nOSrjZzLRVINuAdfgHXA7gVqMyysu1dFSEolJJM3SQ2
 9vNLJuW42bYfJ5AGdDN4nuVAaWsA6A3sAhxG6NgEHRsgt3RRxGfHAgmhlOQB4lG/jAFkgpBYzXQH
 3g9GAqMFPSuceUUCYAbQY8WKFSQlJaHreqvfKITgYGkpSY8twKL7qQfx7XidEyXdWb/+rwirNbbg
 iYfoU3wIQNQeEsR1tvPKyhfs8Y5LDJm1EAKvz8fDD95P+fHqG1vjX1anpPSR0dLG8bmyIfyt7ILc
 +Ahy3tz5Ukopf3AelQe7d2u8vjTeIu8YY5JO51FpNF17bY4E3miNE9TNZktU6K955g8M27IVgGpg
 wGRYV2Ahd/xYAFx7dtGl4lgjf7rLh6r72b+/2HBHJ6UefRSQsnmzDL26+f3NXPb0YvoHf3fazFya
 aePj4niyrxkNQM3uQjqFhMcxgN+vULhrBx0lCjSZvBCC2tpaTpw4gaZpmM1mdF1HCEHl8eO8+/pK
 Nmz4J2vztpMw/2GGBCcvgJpuGh8f0Oib0os6j4fjlZUc+byAmBDw7MCACp33/vU2s+6bh8vlwmKx
 oGkaFosFVVURQmC1WvH5fJjNZrxeLzabrWntZbeTnJzcOOY2Z6/9+/dvYkdPLJgvg2M940gFeWXw
 PA5kKUg9aNsS5OdZipx/i7nJPUtCrssg/78zbDKxsxLxPS09Ro++RnpVtXHs2dnZrfYBTcjpdPLs
 n5+PeH0TUBQ8nyCgT1DyDaQpOpV1TX3KwNM9NtDtsEpuZvQRMD+/gFdWrjQuEzx58mTEa9lADKAG
 v08Ko3WOGht2k7fJb7Ywz0r3QEZsrCG2XVJScm5S4ceADSGTHq6f6RxjSlXG9lPOkPjpfHYgZbfK
 pBwRNQAttf+oAOgKDAF2SRDWgIr3CaPaA73g/MpMekiCWxWGD2B6nYbjKCTHd6AoEIkGAd0BeyoM
 sUjKfSl4Dpc2evdQmv6Fhy+zbJRUeLksLY29zp+ZWlUb9rmPlgmc6Va2ulQy09NQrFakpiHMJqTm
 R5hMoOtUVtdQVlZ2/gDIDX6OSofdqoNnF67i8A1jyQij3g5gwX4/nyXY6J2SysSHH8B1zzziw/AO
 rNO52SeoGRTLiHG5PLlwEbqmgaIE4oUQICVezc/USTezvWDP+SmHfxv8TJQmfLXHGXPdGL4Ik0A2
 qHe6T+OPdSpf7/yIFwr24O7aNSyvAtxeVM+4DMlbbz7PgeIDOBITucThwJGQiCM+AUdCIsnJyYy/
 5dbz0w/oahL0CJ5XFNuIj4Nvvi6k05134G3mvmkeySLFygefbOMeRTsji2z43gWYsMnDrGtMPDh7
 WkTHpmna+QHglyFp7LQKD52SY1m5fDkjZz9ARbD/HSldnlPtZVZ9FdtOVrMlTEQQQd504LpShdIf
 f+SjDzZ1rI7QVOXUpJJ8khFdvLy1Zi1xmRn8kH5p4yTCmYIEflflY8ZgK3cDdRF4FSD1K53brrKx
 /OXXOhYAV+mnBmr2Q/+f/AzPtLBx9WoOzJlDfRjJhk6upw9GHjEzamggk4zE2xc/3cv9lH3/DZUn
 KjoGAJ2B2NNCycmd8PgEH8tefJ2ps+ey1iTC2nco3X2klt69YlknaJZ3RJGGaoHSsqNnrUrPGQCn
 3zimTnJwO1zZrYhdn+4gccUrOJuRrCSweyJtr5dv0+H7CLwymG57DpRyuPRwVBWeYQAoYQZrB27I
 hx5dLTx+/3Suv+02ivv0iZyqBic3/ahGXLmJzUpkPoBcn07e9k86hgmcDKk9QyU1ALhqh5ekzsd4
 auGTqNOmoDej2gJI8MEml58ZZ2k7TgY+/HBbxwCgBjh+mhY0SHS8UyM3wcGG9W9RktIbl8mEOEsn
 qR+Q2AxQEugBHNlf0qLu1DmJAi+GaYWJYJk7/dMqrk6V/G/fd2zo0nx5K5qpEEN/TwTigLKyMkP9
 QJsBWCYC8TtcWdsVmLnXxZZ3XsN5402GDLQTkATkbdvaMfIAXcKyZpzbWC+klau88bkxm0LsQTMo
 2FPYMQAAeBWojJDF2YEFwE8/VRo22EF2E7t37jDUD0QFwJEYOwVWa0TbHQc44awJUUtpaE8LBw8d
 bVXHp10B6NG9B/+9ZybuCJMUnFrlNGK4yd3qMQmoqCjvGCagaxozFy5iedZgwyYZiXxATA8YOsDK
 9yXfdQwApJQIn58Zm99nl4GqHi4POA74uwq+Lq4nJs7aMQBosMPklBSOLV6Eu520QABfxsDENZI3
 V68ia8jwRicYrS+ICoD6+npUVUURgvGLFvPC0CzDtaDhWZM88PTTi5k49fYmy15+f3QbUKNqilZU
 VLB+3VomTb4VRVEYveJv/GXM9fzerTWuCxoh/bsUSEkbyK/GTaS4+NTqcb3Hw/p1a88fAABPLVzE
 c0ufRwgR2JCAFYfQuFcSFQgN974m4E0dYg8fJjsnp0n896oqdW73+QUAoKqq6TLHfQpYBdylRyf5
 fGB2cL5ujxe3p9Jw/9I+u8R0mCVhaRhbbom9A7wsAo0QH+1LLQKgLWmnLuERAnte1ZAa4WxS9wPZ
 CsyJ0pPa7XbjAMjIyCClT682DWRvsC54CCgASgj8h8YbPE4CBwUcSoBH4syYFUG+Hr1k775jmjE+
 oCHkFBTsZNWrf8dXX4XbK4i1SlRNIILSNilgMUncXkGMVaL6BCYTaBr46qtZseZtltW5SSSwTBYT
 sBT697IzMUdlSR58WycDDwP69evLxN/8GpPwY1LA4xXYLYF3WkwSnyawWQK8qk9gMUt8fkGnGIVx
 N09hUNaQqHaJnLFDJBra+t5maRKiVbs8hBCypqbGkPdHvUOkrWkywL59+5g18078rfQjUkquHjmC
 ujq34W2wdgegQfW+2LmDYcOG4TxR3abnFH2zj+xRw3G5KhFCtAsIhgPg9XopLCxk7tw5jBiVg6qq
 UT3vq7376JWcxNLnlrR424sR1GYfkJeXF/Uur0hHlxhhuA8wn63Say2NGjWKoqKiqJetw5lVQmKi
 4ZKOBIC9xtW2tNNms5GZmUlHouZ8RyQA/nSs0jV1yBVZDL48K+qS83xSbW0t+fn5ERtWkfQ8DngO
 yGmnJs+5pp+BWwgsZbQIgIYIcQkXBqlA2Lr5/79i3MvVr2woAAAAAElFTkSuQmCC
