## xscreensaver 5.11-1%2bmaemo2

=== debian/changelog ===
xscreensaver (5.11-1+maemo2) stable-proposed-updates; urgency=high

  * Fixed problem with icons 

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 13 Aug 2010 15:13:57 -0400
