## xscreensaver 5.11-1%2bmaemo3

=== debian/changelog ===
xscreensaver (5.11-1+maemo3) stable-proposed-updates; urgency=low

  * Removed denepd on libpmag0

 -- Vlad Vasiliev <vlad@gas.by>  Tue, 17 Aug 2010 10:13:57 +0200
