=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	# Configure for xscreensaver
 	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
-		--without-gl --with-pam --with-gtk --without-kerberos \
+		--without-gl --with-gtk --without-kerberos \
 		--with-hackdir=/usr/lib/xscreensaver \
 		--with-configdir=/usr/share/xscreensaver/config \
 		--mandir=/usr/share/man --with-login-manager \
