## xscreensaver 5.11-1%2bmaemo4

=== debian/changelog ===
xscreensaver (5.11-1+maemo4) stable-proposed-updates; urgency=low

  * Removed themes: apple2, blitspin, cosmos, electricsheep, extrusion,
    fireflies, fontglide, goban, noseguy, phosphor, sphereeversion,
    vidwhacker, webcollage, xanalogtv, xaos, xdaliclock, xjack, xsnow 
  * Fixed problems in themes: decayscreen, distort, ripples, rotzoomer,
    slidescreen, slip, spotlight, twang, zoom 

 -- Vlad Vasiliev <vlad@gas.by>  Tue, 19 Aug 2010 21:13:57 +0200
