=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: optional
 Maintainer: Vlad Vasiliev <vlad@gas.by>
-Build-Depends: bc, debhelper (>= 4.0), libgtk2.0-dev, libpam0g-dev (>= 0.72), libgl1-mesa-swx11-dev, freeglut3-dev, xutils-dev, libgnome2-dev, libxml2-dev, libglade2-dev, libjpeg62-dev, libgles2-sgx-img-dev | libgles2-dev, intltool, autotools-dev, libx11-dev, libxext-dev, libxinerama-dev, libxmu-dev, libxpm-dev, libxrandr-dev, libxss-dev, libxt-dev, libxtst-dev, libxxf86vm-dev, x11proto-core-dev, quilt, libxss-dev, libxtst-dev
+Build-Depends: bc, debhelper (>= 4.0), libgtk2.0-dev, libgl1-mesa-swx11-dev, freeglut3-dev, xutils-dev, libgnome2-dev, libxml2-dev, libglade2-dev, libjpeg62-dev, libgles2-sgx-img-dev | libgles2-dev, intltool, autotools-dev, libx11-dev, libxext-dev, libxinerama-dev, libxmu-dev, libxpm-dev, libxrandr-dev, libxss-dev, libxt-dev, libxtst-dev, libxxf86vm-dev, x11proto-core-dev, quilt, libxss-dev, libxtst-dev
 Standards-Version: 3.8.0
 Homepage: http://www.jwz.org/xscreensaver/
 Vcs-git: git://git.debian.org/git/collab-maint/xscreensaver.git
