## xscreensaver 5.11-1%2bmaemo5

=== debian/changelog ===
xscreensaver (5.11-1+maemo5) stable-proposed-updates; urgency=low

  * Fixed problems with theme: phosphor
  * Changed Icons. Thanks Wazd

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 20 Aug 2010 19:13:57 +0200
