=== debian/rules ===
--- 
+++ 
@@ -91,9 +91,9 @@
 	dh_installdocs -a
 	dh_installchangelogs -a
 	# install .desktop files used by gnome-screensaver
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/screensavers
-	cp $(CURDIR)/debian/screensavers-desktop-files/*.desktop \
-		$(CURDIR)/debian/tmp/usr/share/applications/screensavers/
+	#mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/screensavers
+	#cp $(CURDIR)/debian/screensavers-desktop-files/*.desktop \
+	#	$(CURDIR)/debian/tmp/usr/share/applications/screensavers/
 	#
 	# Adding a `x` at the end of all manpages:
 	#for i in $$( ls debian/tmp/usr/share/man/man6/ ); do mv debian/tmp/usr/share/man/man6/$$i debian/tmp/usr/share/man/man6/$$( echo $$i )x; done 
@@ -105,7 +105,7 @@
 	
 	for i in `cd debian/tmp/usr/share/xscreensaver/config ; find . -name "*.xml" -type f -print`; do echo $${i} ; cat debian/tmp/usr/share/xscreensaver/config/$${i} | grep "<screensaver"| \
 		sed 's/<screensaver name="\(.*\)" _label="\(.*\)">/<theme>\n\<name>\2<\/name>\n <exec_path>\/usr\/lib\/xscreensaver\/\1<\/exec_path>\n <window_id>-window-id<\/window_id>\n <view>-view<\/view>\n <category>Xscreensaver<\/category>\n <icon_on>\/usr\/share\/livewp\/external_icons\/xscreensaver.png<\/icon_on>\n <icon_off>\/usr\/share\/livewp\/external_icons\/xscreensaverd.png<\/icon_off>\n <\/theme>/g' \
-		> debian/tmp/usr/share/livewp/external_themes/$${i}; done
+		 > debian/tmp/usr/share/livewp/external_themes/$${i}; done
 	dh_movefiles -a
 	dh_install -a
 	# make sure we got everything that was installed
@@ -128,6 +128,12 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	maemo-optify
+	#hack after optify
+	rm -f debian/xscreensaver/usr/share/xscreensaver
+	mkdir -p debian/xscreensaver/usr/share/xscreensaver/
+#	cd debian/xscreensaver/usr/share/xscreensaver &&  ln -s ../../../opt/maemo/usr/share/xscreensaver/config config
+	mv debian/xscreensaver/opt/maemo/usr/share/xscreensaver/config	debian/xscreensaver/usr/share/xscreensaver
+	cat debian/xscreensaver/DEBIAN/postinst |sed s/'optify "usr\/share\/xscreensaver"'/'optify "usr\/share\/xscreensaver\/config"'/g > /tmp/xscpostinst && mv /tmp/xscpostinst debian/xscreensaver/DEBIAN/postinst && chmod 775 debian/xscreensaver/DEBIAN/postinst
 	dh_md5sums -a
 	dh_builddeb -a
