## xscreensaver 5.11-1%2bmaemo6

=== debian/changelog ===
xscreensaver (5.11-1+maemo6) stable-proposed-updates; urgency=low

  * Fixed problem with optified 

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 20 Aug 2010 22:13:57 +0200
