## xscreensaver 5.11-1%2bmaemo7

=== debian/changelog ===
xscreensaver (5.11-1+maemo7) stable-proposed-updates; urgency=low

  *  Changed Description in package 

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 21 Aug 2010 23:14:57 +0200
