=== debian/rules ===
--- 
+++ 
@@ -131,9 +131,8 @@
 	#hack after optify
 	rm -f debian/xscreensaver/usr/share/xscreensaver
 	mkdir -p debian/xscreensaver/usr/share/xscreensaver/
-#	cd debian/xscreensaver/usr/share/xscreensaver &&  ln -s ../../../opt/maemo/usr/share/xscreensaver/config config
 	mv debian/xscreensaver/opt/maemo/usr/share/xscreensaver/config	debian/xscreensaver/usr/share/xscreensaver
-	cat debian/xscreensaver/DEBIAN/postinst |sed s/'optify "usr\/share\/xscreensaver"'/'optify "usr\/share\/xscreensaver\/config"'/g > /tmp/xscpostinst && mv /tmp/xscpostinst debian/xscreensaver/DEBIAN/postinst && chmod 775 debian/xscreensaver/DEBIAN/postinst
+	cat debian/xscreensaver/DEBIAN/postinst |sed s/'optify "usr\/share\/xscreensaver"'//g > /tmp/xscpostinst && mv /tmp/xscpostinst debian/xscreensaver/DEBIAN/postinst && chmod 775 debian/xscreensaver/DEBIAN/postinst
 	dh_md5sums -a
 	dh_builddeb -a
