## xscreensaver 5.11-1%2bmaemor8

=== debian/changelog ===
xscreensaver (5.11-1+maemor8) stable-proposed-updates; urgency=low

  * Full optification 

 -- Vlad Vasiliev <vlad@gas.by>  Wed, 25 Aug 2010 18:14:57 +0200
