=== debian/control ===
--- 
+++ 
@@ -15,13 +15,8 @@
 Recommends: xli | xloadimage, libjpeg-progs, perl5, miscfiles | wordlist
 Suggests: xfishtank, xdaliclock, xscreensaver-gl, fortune, www-browser, qcam | streamer
 Xsbc-Bugtracker: https://garage.maemo.org/tracker/?atid=6278&group_id=1797&func=browse
-Description: Automatic screensaver for X
- XScreenSaver is a modular screen saver and locker for X11,
- containing more than 200 screen savers.
- .
- This package adapted for using with LiveWallpaper on Maemo Platform
- .
-XB-Maemo-Display-Name: Xscreensavers
+Description: Screensavers for X adapted for using with LiveWallpaper on Maemo Platform
+XB-Maemo-Display-Name: Xscreensavers for Livewallpaper
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oIDwYXM6m8V0wAAAqZSURBVHja
