## xscreensaver 5.11-1%2bmaemor9

=== debian/changelog ===
xscreensaver (5.11-1+maemor9) stable-proposed-updates; urgency=low

  * Increased number supported of views to 9

 -- Vlad Vasiliev <vlad@gas.by>  Sat, 02 Oct 2010 08:43:57 +0200
