=== debian/rules ===
--- 
+++ 
@@ -130,8 +130,13 @@
 	maemo-optify
 	#hack after optify
 	rm -f debian/xscreensaver/usr/share/xscreensaver
-	mkdir -p debian/xscreensaver/usr/share/xscreensaver/
-	mv debian/xscreensaver/opt/maemo/usr/share/xscreensaver/config	debian/xscreensaver/usr/share/xscreensaver
+	mkdir -p debian/xscreensaver/usr/share/xscreensaver/config
+	cd debian/xscreensaver/opt/maemo/usr/share/xscreensaver/config/ && find . -type f -exec ln -s /opt/maemo/usr/share/xscreensaver/config/'{}' ../../../../../../usr/share/xscreensaver/config/'{}' \; 
+	mv debian/xscreensaver/usr/share/livewp/external_themes	debian/xscreensaver/opt/maemo/usr/share/livewp/	
+	mkdir debian/xscreensaver/usr/share/livewp/external_themes 
+	cd debian/xscreensaver/opt/maemo/usr/share/livewp/external_themes/ && find . -type f -exec ln -s /opt/maemo/usr/share/livewp/external_themes/'{}' ../../../../../../usr/share/livewp/external_themes/'{}' \; 
+
+	
 	cat debian/xscreensaver/DEBIAN/postinst |sed s/'optify "usr\/share\/xscreensaver"'//g > /tmp/xscpostinst && mv /tmp/xscpostinst debian/xscreensaver/DEBIAN/postinst && chmod 775 debian/xscreensaver/DEBIAN/postinst
 	dh_md5sums -a
 	dh_builddeb -a
